com.sun.pdfview

## Class NameTree

- java.lang.Object
- - com.sun.pdfview.NameTree

    public class NameTree
    extends java.lang.Object

A PDF name tree consists of three kinds of nodes:

- The root node contains only a kids entry, pointing to many other objects
- An intermediate node contains the limits of all the children in its subtree, and a kids entry for each child
- A leaf node contains a set of name-to-object mappings in a dictionary, as well as the limits of the data contained in that child.

A PDF name tree is sorted in accordance with the String.compareTo() method.

### Constructor Summary

Constructors
Constructor and Description
`NameTree(PDFObject root)` Creates a new instance of NameTree

### Method Summary

Methods
`PDFObject` `find(java.lang.String key)` Find the PDF object corresponding to the given String in a name tree

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameTree

    public NameTree(PDFObject root)

Creates a new instance of NameTree

### Method Detail

#### find

    public PDFObject find(java.lang.String key)
                   throws java.io.IOException

Find the PDF object corresponding to the given String in a name tree

Parameters:
  `key` - the key we are looking for in the name tree
Returns:
  the object associated with str, if found, or null if not
Throws:
  `java.io.IOException`